{
  config,
  lib,
  modulesPath,
  pkgs,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/cd-dvd/iso-image.nix")
  ];

  config = {
    isoImage.makeEfiBootable = true;
    isoImage.makeUsbBootable = true;

    networking.dhcpcd.enable = true;
    networking.useDHCP = true;

    me.buildingPortable = true;
    me.disko.enable = true;
    me.disko.offline.enable = true;
    me.mountPersistence = lib.mkForce false;
    # me.optimizations.enable = lib.mkForce false;

    # Not doing image_based_appliance because this might be an install ISO, in which case we'd need nix to do the install.
    # me.image_based_appliance.enable = true;

    # TODO: Should I use this instead of doing a mkIf for the disk config?
    # disko.enableConfig = false;

    # Faster image generation for testing/development.
    isoImage.squashfsCompression = "zstd -Xcompression-level 15";
  };
}
